Bug 45020 - The batik-rasterizer-1.7 isn't released in the default maven repository
The batik-rasterizer-1.7 isn't released in the default maven repository
Status: NEW
Product: Batik - Now in Jira
Classification: Unclassified
Component: SVG Rasterizer
All All
: P2 minor
: ---
Assigned To: Batik Developer's Mailing list
Depends on:
Blocks: 50045
  Show dependency tree
Reported: 2008-05-16 08:40 UTC by Sergiu Dumitriu
Modified: 2010-12-17 00:29 UTC (History)
1 user (show)


Note You need to log in before you can comment on or make changes to this bug.
Description Sergiu Dumitriu 2008-05-16 08:40:33 UTC
batik-rasterizer isn't included in the released projects at http://repo1.maven.org/maven2/org/apache/xmlgraphics/ , while most other modules are there.
Comment 1 Cameron McCormack 2008-06-15 20:33:25 UTC
batik-rasterizer is just the front-end application for the transcoder module.  Does it make sense to create POMs for each the applications (rasterizer and squiggle)?  Do people normally use maven for running applications as well as general library management?
Comment 2 Andreas Sewe 2010-12-16 13:39:13 UTC
I can think of at least one case where a third-party application (the DaCapo benchmark suite popular among JVM researchers <http://www.dacapobench.org/>) uses the batik-rasterizer as a dependency; after all, for a benchmark suite an application to benchmark is just a library.

Having the dependency available via Maven would IMHO be useful, as being able to rely on GAV coordinates and Maven repositories will have a stabilising effect on the suite's build. And reproducible builds are obviously of importance for a research benchmark suite.
Comment 3 Helder Magalhães 2010-12-17 00:29:10 UTC
Setting 1.8 release meta-bug to depend on this as well, in light of the interesting use-cases raised in comment #2. Thanks for sharing! :-)